{ lib, config, pkgs, modulesPath, ... }:

let
  cfg = config.cspark-desktop-plasma-config-1;
in
{
  options.cspark-desktop-plasma-config-1 = {
    enable 
      = lib.mkEnableOption "Enable Custom Plasma Desktop Setup 1";
  };

  config = lib.mkIf cfg.enable {
    home.sessionVariables = {
      TERM = "konsole";
      # Enable native wayland support for chromium and electron based applications
      NIXOS_OZONE_WL = "1";
    };
  };
}
